
/* Chrysalide - Outil d'analyse de fichiers binaires
 * helper_mips.h - prototypes pour la gestion auxiliaire de l'architecture MIPS
 *
 * Copyright (C) 2009 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _FORMAT_ELF_HELPER_MIPS_H
#define _FORMAT_ELF_HELPER_MIPS_H


#include <stdbool.h>
#include <sys/types.h>


#include "e_elf.h"



/* Déduit les adresses effectives des appels externes. */
bool g_elf_format_find_mips_dynamic_symbols(elf_format *, off_t, off_t, off_t, off_t);



#endif  /* _FORMAT_ELF_HELPER_MIPS_H */
